Package de.willuhn.jameica.hbci.server

# Class VersionImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.datasource.db.AbstractDBObject
de.willuhn.jameica.hbci.server.VersionImpl

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.Transactionable`, `Version`, `Serializable`, `Remote`

public class VersionImpl extends de.willuhn.datasource.db.AbstractDBObject implements Version
Implementierung eines Versionsdatensatzes.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

## Constructor Summary

Constructors
Constructor
Description
`VersionImpl()`
ct

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Liefert den Namen der Version.
`String`
`getPrimaryAttribute()`
`protected String`
`getTableName()`
`int`
`getVersion()`
Liefert den aktuellen Stand der Version.
`void`
`insert()`
`protected void`
`insertCheck()`
`void`
`setName(String name)`
Speichert den Namen der Version.
`void`
`setVersion(int newVersion)`
Legt die neue Versionsnummer fest.
`protected void`
`updateCheck()`

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObject

`addDeleteListener, addStoreListener, clear, delete, deleteCheck, equals, getAttribute, getAttributeNames, getAttributeType, getForeignObject, getID, getIDField, getInsertSQL, getList, getListQuery, getLoadQuery, getService, getUpdateSQL, hasChanged, hasChanged, init, isNewObject, load, overwrite, removeDeleteListener, removeStoreListener, setAttribute, setID, setService, store, transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Constructor Details

### VersionImpl

public VersionImpl() throws RemoteException
ct

Throws:
  `RemoteException`

## Method Details

### getPrimaryAttribute

public String getPrimaryAttribute() throws RemoteException

Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.rmi.DBObject`
Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.GenericObject`
Specified by:
  `getPrimaryAttribute` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `AbstractDBObject.getPrimaryAttribute()`

### getTableName

protected String getTableName()

Specified by:
  `getTableName` in class `de.willuhn.datasource.db.AbstractDBObject`
See Also:
  - `AbstractDBObject.getTableName()`

### getName

public String getName() throws RemoteException
Description copied from interface: `Version`
Liefert den Namen der Version.

Specified by:
  `getName` in interface `Version`
Returns:
  Name der Version.
Throws:
  `RemoteException`
See Also:
  - `Version.getName()`

### getVersion

public int getVersion() throws RemoteException
Description copied from interface: `Version`
Liefert den aktuellen Stand der Version.

Specified by:
  `getVersion` in interface `Version`
Returns:
  Stand der Version.
Throws:
  `RemoteException`
See Also:
  - `Version.getVersion()`

### setVersion

public void setVersion(int newVersion) throws RemoteException
Description copied from interface: `Version`
Legt die neue Versionsnummer fest.

Specified by:
  `setVersion` in interface `Version`
Parameters:
  `newVersion` - die neue Versionsnummer.
Throws:
  `RemoteException`
See Also:
  - `Version.setVersion(int)`

### setName

public void setName(String name) throws RemoteException
Description copied from interface: `Version`
Speichert den Namen der Version.

Specified by:
  `setName` in interface `Version`
Parameters:
  `name` - Name der Version.
Throws:
  `RemoteException`
See Also:
  - `Version.setName(java.lang.String)`

### insertCheck

protected void insertCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `insertCheck` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.insertCheck()`

### updateCheck

protected void updateCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `updateCheck` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.updateCheck()`

### insert

public void insert() throws RemoteException, de.willuhn.util.ApplicationException

Overrides:
  `insert` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.insert()`